corda / net.corda.core.contracts / ScheduledActivity

# ScheduledActivity

`data class ScheduledActivity : Scheduled`

This class represents the lifecycle activity that a contract state of type LinearState would like to perform at a given point in time. e.g. run a fixing flow.

Note the use of FlowLogicRef to represent a safe way to transport a FlowLogic out of the contract sandbox.

Currently we support only flow based activities as we expect there to be a transaction generated off the back of the activity, otherwise we have to start tracking secondary state on the platform of which scheduled activities for a particular ContractState have been processed/fired etc. If the activity is not "on ledger" then the scheduled activity shouldn't be either.

### Constructors

<init> | `ScheduledActivity(logicRef: FlowLogicRef, scheduledAt: Instant)` This class represents the lifecycle activity that a contract state of type LinearState would like to perform at a given point in time. e.g. run a fixing flow.

### Properties

logicRef | `val logicRef: FlowLogicRef`
scheduledAt | `val scheduledAt: Instant`